#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 9. General Libraries

- Prev

  libbytesize-2.11

- Next

  libcloudproviders-0.3.6

- Up
- Home

# libclc-19.1.7

## Introduction to libclc

The libclc package contains an implementation of the library requirements of the OpenCL C programming language, as specified by the OpenCL 1.1 Specification.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://github.com/llvm/llvm-project/releases/download/llvmorg-19.1.7/libclc-19.1.7.src.tar.xz

- Download MD5 sum: 84cfae232461adfd4e1990b9023cfe69

- Download size: 128 KB

- Estimated disk space required: 380 MB

- Estimated build time: 1.2 SBU (with parallelism=8)

### libclc Dependencies

#### Required

SPIRV-LLVM-Translator-19.1.4

## Installation of libclc

Install libclc by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr \
          -D CMAKE_BUILD_TYPE=Release  \
          -G Ninja ..                  &&
    ninja

To test the results, issue: ninja test. Two tests, `external-calls-clspv--.bc` and `external-calls-clspv64--.bc`, are known to fail due to invalid syntax.

Now, as the `root` user:

    ninja install

## Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/include/clc and /usr/share/clc

- Prev

  libbytesize-2.11

- Next

  libcloudproviders-0.3.6

- Up
- Home